import 'package:_private_core/widgets/widgets.dart';
import 'package:flutter/material.dart';
import 'package:flutter_keyboard_visibility/flutter_keyboard_visibility.dart';
import 'package:get/get.dart';
import 'package:_private_core/_private_core.dart';

class WidgetMainContainer extends StatelessWidget {
  final Widget child;
  const WidgetMainContainer({Key? key, required this.child}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return KeyboardDismissOnTap(
      child: Container(
        width: Get.width,
        margin: EdgeInsets.all(
            ResponsiveLayout.byWidth(context, 32.0, phone: 12.0)),
        decoration: BoxDecoration(
            color: hexColor('#F8F9FD'),
            borderRadius: BorderRadius.circular(24)),
        child: child,
      ),
    );
  }
}
